Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Text
Imports DevExpress.Xpo
Imports DevExpress.ExpressApp
Imports System.ComponentModel
Imports DevExpress.ExpressApp.DC
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.Base
Imports System.Collections.Generic
Imports DevExpress.ExpressApp.Model
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports System.Drawing
Imports DevExpress.ExpressApp.Utils

Public Enum eVATReportCheckListType
    eError = 0
    eWarning = 1
End Enum
<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class VATReportCheckList
    Inherits BaseObject

    Private _VATReportCheckListType As eVATReportCheckListType
    Private _Description As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property VATReportCheckListType As eVATReportCheckListType
        Get
            Return _VATReportCheckListType
        End Get
        Set(value As eVATReportCheckListType)
            SetPropertyValue("VATReportCheckListType", _VATReportCheckListType, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    <ImageEditor(ListViewImageEditorCustomHeight:=16, ImageSizeMode:=ImageSizeMode.Normal)> _
    ReadOnly Property ImageType As Image
        Get
            Select Case VATReportCheckListType
                Case eVATReportCheckListType.eError
                    Return ImageLoader.Instance.GetImageInfo("error").Image
                Case eVATReportCheckListType.eWarning
                    Return ImageLoader.Instance.GetImageInfo("warning").Image
                Case Else
                    Return Nothing
            End Select
        End Get
    End Property
End Class
